/**
 * 家庭情况
 *
 * @export
 * @interface HRFamily
 */
export interface HRFamily {

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRFamily
     */
    createdate?: any;

    /**
     * 姓名
     *
     * @returns {*}
     * @memberof HRFamily
     */
    hrfamilyname?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRFamily
     */
    createman?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRFamily
     */
    updateman?: any;

    /**
     * 家庭情况标识
     *
     * @returns {*}
     * @memberof HRFamily
     */
    hrfamilyid?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRFamily
     */
    updatedate?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRFamily
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRFamily
     */
    hremployeename?: any;

    /**
     * 与本人关系
     *
     * @returns {*}
     * @memberof HRFamily
     */
    relationship?: any;

    /**
     * 证件类型
     *
     * @returns {*}
     * @memberof HRFamily
     */
    certtype?: any;

    /**
     * 证件号码
     *
     * @returns {*}
     * @memberof HRFamily
     */
    certnum?: any;

    /**
     * 性别
     *
     * @returns {*}
     * @memberof HRFamily
     */
    sex?: any;

    /**
     * 出生日期
     *
     * @returns {*}
     * @memberof HRFamily
     */
    birthday?: any;

    /**
     * 年龄
     *
     * @returns {*}
     * @memberof HRFamily
     */
    age?: any;

    /**
     * 工作单位
     *
     * @returns {*}
     * @memberof HRFamily
     */
    workorganization?: any;

    /**
     * 职务
     *
     * @returns {*}
     * @memberof HRFamily
     */
    duty?: any;

    /**
     * 政治面貌
     *
     * @returns {*}
     * @memberof HRFamily
     */
    political?: any;

    /**
     * 是否紧急联系人
     *
     * @returns {*}
     * @memberof HRFamily
     */
    emergencyflag?: any;
}